<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::density Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1density.html">density</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::density Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing density values  
<a href="namespaceunits_1_1density.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af74ef863fd3acf2affc6350e2186a8cd"><td class="memItemLeft" align="right" valign="top"><a id="af74ef863fd3acf2affc6350e2186a8cd"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">kilograms_per_cubic_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:af74ef863fd3acf2affc6350e2186a8cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a019967730ffaf2824cef4271c15d6dea"><td class="memItemLeft" align="right" valign="top"><a id="a019967730ffaf2824cef4271c15d6dea"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">kilograms_per_cubic_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:a019967730ffaf2824cef4271c15d6dea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed31dd16299a3ef1f93591900f0049ef"><td class="memItemLeft" align="right" valign="top"><a id="aed31dd16299a3ef1f93591900f0049ef"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">grams_per_milliliter_t</a> &amp;obj)</td></tr>
<tr class="separator:aed31dd16299a3ef1f93591900f0049ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7507f60ddbe0f9327e64fffd247aff1f"><td class="memItemLeft" align="right" valign="top"><a id="a7507f60ddbe0f9327e64fffd247aff1f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">grams_per_milliliter_t</a> &amp;obj)</td></tr>
<tr class="separator:a7507f60ddbe0f9327e64fffd247aff1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc1b9d9b8b8888151930897118b04a50"><td class="memItemLeft" align="right" valign="top"><a id="acc1b9d9b8b8888151930897118b04a50"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">kilograms_per_liter_t</a> &amp;obj)</td></tr>
<tr class="separator:acc1b9d9b8b8888151930897118b04a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7932afcc15850f744e7f3ea0699f2bc"><td class="memItemLeft" align="right" valign="top"><a id="ac7932afcc15850f744e7f3ea0699f2bc"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">kilograms_per_liter_t</a> &amp;obj)</td></tr>
<tr class="separator:ac7932afcc15850f744e7f3ea0699f2bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22fd7dbe2c6a5da8553e99212535206d"><td class="memItemLeft" align="right" valign="top"><a id="a22fd7dbe2c6a5da8553e99212535206d"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">ounces_per_cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:a22fd7dbe2c6a5da8553e99212535206d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9f891ae84c4c3af3006a1316ff84b8c"><td class="memItemLeft" align="right" valign="top"><a id="ad9f891ae84c4c3af3006a1316ff84b8c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">ounces_per_cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:ad9f891ae84c4c3af3006a1316ff84b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b38706447dae52570b323ed4ec0eee"><td class="memItemLeft" align="right" valign="top"><a id="a34b38706447dae52570b323ed4ec0eee"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">ounces_per_cubic_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a34b38706447dae52570b323ed4ec0eee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a881ed360da03e877de1c2491b0fce044"><td class="memItemLeft" align="right" valign="top"><a id="a881ed360da03e877de1c2491b0fce044"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">ounces_per_cubic_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a881ed360da03e877de1c2491b0fce044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674d73486f2b5b6ffc5d577acc5908a2"><td class="memItemLeft" align="right" valign="top"><a id="a674d73486f2b5b6ffc5d577acc5908a2"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">ounces_per_gallon_t</a> &amp;obj)</td></tr>
<tr class="separator:a674d73486f2b5b6ffc5d577acc5908a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89297747b74e464988773914fc5922a4"><td class="memItemLeft" align="right" valign="top"><a id="a89297747b74e464988773914fc5922a4"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">ounces_per_gallon_t</a> &amp;obj)</td></tr>
<tr class="separator:a89297747b74e464988773914fc5922a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0bfacb79753037706d9b49fa47dd08d"><td class="memItemLeft" align="right" valign="top"><a id="ac0bfacb79753037706d9b49fa47dd08d"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pounds_per_cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:ac0bfacb79753037706d9b49fa47dd08d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b9fdb526545d98d9cb259f7df38a11"><td class="memItemLeft" align="right" valign="top"><a id="a34b9fdb526545d98d9cb259f7df38a11"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pounds_per_cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:a34b9fdb526545d98d9cb259f7df38a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98baae9238bc91784264b889c27328e6"><td class="memItemLeft" align="right" valign="top"><a id="a98baae9238bc91784264b889c27328e6"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pounds_per_cubic_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a98baae9238bc91784264b889c27328e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5df4fa6e4725f2fdcbaf566b6a2ca82"><td class="memItemLeft" align="right" valign="top"><a id="ad5df4fa6e4725f2fdcbaf566b6a2ca82"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pounds_per_cubic_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:ad5df4fa6e4725f2fdcbaf566b6a2ca82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f3d6fc0ea54c01c0c0a0512c304428"><td class="memItemLeft" align="right" valign="top"><a id="ad8f3d6fc0ea54c01c0c0a0512c304428"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pounds_per_gallon_t</a> &amp;obj)</td></tr>
<tr class="separator:ad8f3d6fc0ea54c01c0c0a0512c304428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49a256e06d80f36531f9b43941e4570e"><td class="memItemLeft" align="right" valign="top"><a id="a49a256e06d80f36531f9b43941e4570e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pounds_per_gallon_t</a> &amp;obj)</td></tr>
<tr class="separator:a49a256e06d80f36531f9b43941e4570e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a329aa1484e554990d60c5fac765ada06"><td class="memItemLeft" align="right" valign="top"><a id="a329aa1484e554990d60c5fac765ada06"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">slugs_per_cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:a329aa1484e554990d60c5fac765ada06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ab3f87466ec9517f1a601a99efcbdd"><td class="memItemLeft" align="right" valign="top"><a id="a94ab3f87466ec9517f1a601a99efcbdd"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">slugs_per_cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:a94ab3f87466ec9517f1a601a99efcbdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing density values </p>
<p>The SI unit for density is <code>kilograms_per_cubic_meter</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>density_unit</code>. <a class="anchor" id="densityContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
